Mozilla Firefox ESR < 91.6

critical Nessus プラグイン ID 157445

言語:

概要

リモートのmacOSまたはMac OS XホストにインストールされているWebブラウザは、複数の脆弱性の影響を受けます。

説明

リモートのmacOSまたはMac OS XホストにインストールされているFirefox ESRのバージョンは、91.6より前のものです。したがって、mfsa2022-05 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- Maintenance (Updater) サービスに Time-of-Check Time-of-Use のバグが存在し、これが悪用されて、ユーザーに任意のディレクトリへの書き込みアクセス権が付与される可能性があります。これは SYSTEM アクセスに昇格するために使用される可能性があります。このバグの影響を受けるのは、Windows上のFirefoxのみです。その他のオペレーティングシステムは影響を受けません。(CVE-2022-22753)

- ユーザーが特定のタイプの拡張機能をインストールした場合、拡張機能自体が自動更新されている可能性があり、その際、新しいバージョンに新しいリクエストされた権限を付与するプロンプトをバイパスします。
(CVE-2022-22754)

- ユーザーが画像をデスクトップまたは他のフォルダーにドラッグアンドドロップするよう誘導された場合、その結果、オブジェクトが実行可能スクリプトに変更され、ユーザーがクリックした後に任意のコードが実行される可能性があります。(CVE-2022-22756)

- ドキュメントが <code>allow-scripts</code> なくサンドボックス化された iframe を作成し、その後、例えば JavaScript イベントハンドラーがある iframe のドキュメントに要素を追加した場合、iframe のサンドボックスにもかかわらずイベントハンドラーが実行されていました。(CVE-2022-22759)

- Web Workers を使用してリソースをインポートすると、エラーメッセージにより、<code>application/javascript</code> 応答と非スクリプト応答の違いが区別されます。これは、クロスオリジンの情報を学習するために悪用された可能性があります。(CVE-2022-22760)

- Web アクセス可能な拡張ページ (moz-extensionのあるページ : //スキーム) で、Web 拡張の Content Security Policy で使用されている場合、frame-ancestors ディレクティブが適切に実施されていませんでした。
(CVE-2022-22761)

- ワーカーがシャットダウンされると、実行できない時点よりも後の、ライフサイクルの後半でスクリプトが実行される可能性がありました。(CVE-2022-22763)

- Mozilla 開発者およびコミュニティメンバーの Paul Adenot 氏および Mozilla Fuzzing Team は、Firefox 96 と Firefox ESR 91.5に存在するメモリ安全性のバグを報告しました。これらのバグの一部にはメモリ破損の証拠が示されており、当社では、手間をかけることにより、これらの一部が悪用され、任意のコードが実行される可能性があると推測しています。
(CVE-2022-22764)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Mozilla Firefox ESRをバージョン91.6以降にアップグレードしてください。

関連情報

https://www.mozilla.org/en-US/security/advisories/mfsa2022-05/

プラグインの詳細

深刻度: Critical

ID: 157445

ファイル名: macos_firefox_91_6_esr.nasl

バージョン: 1.4

タイプ: local

エージェント: macosx

公開日: 2022/2/8

更新日: 2022/5/6

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 8.4

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-22764

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:mozilla:firefox_esr

必要な KB アイテム: MacOSX/Firefox/Version

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/2/8

脆弱性公開日: 2022/2/8

参照情報

CVE: CVE-2022-22753, CVE-2022-22754, CVE-2022-22756, CVE-2022-22759, CVE-2022-22760, CVE-2022-22761, CVE-2022-22763, CVE-2022-22764

IAVA: 2022-A-0079-S